Page MenuHomePhabricator

Three clicks required to exit talk overlay
Closed, ResolvedPublicSpike

Description

Steps to reproduce:

  1. Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=TemplateUsageArticle587
  2. Tap "Discussion"
  3. Tap "Add discussion"
  4. Add a subject and comment press "Publish"
  5. The URL ends in #/talk
  6. Tap the X or press the browser back button
  7. The URL now ends in #/talk/
  8. Tap the X or press the browser back button
  9. The URL now ends in #/talk
  10. Tap the X or press the browser back button
  11. You have exited the overlay :)

Acceptance criteria for research:

  • assess the complexity of this issue

A: not complex

  • propose possible solutions

A: obvious solution

QA steps

Follow reproduction steps on beta cluster and confirm they no longer apply.

QA Results

ACStatusDetails
1T226106#5343882
2T226106#5343882

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterrouter.navigate is deprecated use router.navigateTo

Event Timeline

kostajh triaged this task as High priority.Jun 19 2019, 2:23 PM
kostajh created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2019, 2:23 PM
phuedx moved this task from Needs triage to MinervaNeue on the Mobile board.Jun 20 2019, 10:06 AM

I can reproduce that

nray claimed this task.Jun 26 2019, 5:18 PM

I'm pretty sure I fixed this in T217102 but the patch became a quite large refactor and we were a little scared of proceeding.

ovasileva renamed this task from Three clicks required to exit talk overlay to [Research 4hrs] Three clicks required to exit talk overlay.Jul 2 2019, 4:45 PM
ovasileva updated the task description. (Show Details)
nray removed nray as the assignee of this task.Jul 3 2019, 3:45 PM
nray added a subscriber: nray.
MBinder_WMF changed the subtype of this task from "Task" to "Spike".Jul 9 2019, 5:11 PM

There's a glaring bug here that when addressed fixes the problem...

Change 523828 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] router.navigate is deprecated use router.navigateTo

https://gerrit.wikimedia.org/r/523828

Change 523828 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] router.navigate is deprecated use router.navigateTo

https://gerrit.wikimedia.org/r/523828

Jdlrobson renamed this task from [Research 4hrs] Three clicks required to exit talk overlay to Three clicks required to exit talk overlay.Jul 17 2019, 4:07 PM
Jdlrobson reassigned this task from Jdlrobson to Edtadros.
Jdlrobson updated the task description. (Show Details)
ovasileva renamed this task from Three clicks required to exit talk overlay to [Research 4hrs] Three clicks required to exit talk overlay.Jul 17 2019, 4:41 PM
Jdlrobson renamed this task from [Research 4hrs] Three clicks required to exit talk overlay to Three clicks required to exit talk overlay.Jul 17 2019, 5:08 PM
Edtadros reassigned this task from Edtadros to ovasileva.Jul 18 2019, 12:17 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

QA Steps

Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=TemplateUsageArticle587
Tap "Discussion"
Tap "Add discussion"
Add a subject and comment press "Publish"
✅ AC1: The URL ends in #/talk

AMC ONAMC OFF

Tap the X or press the browser back button
✅ AC2: The overlay is exited

AMC ONAMC OFF
Edtadros updated the task description. (Show Details)Jul 18 2019, 12:19 AM
ovasileva closed this task as Resolved.Jul 18 2019, 3:17 PM